Package org.apache.ignite.spi.systemview.view

## Class SqlQueryView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.SqlQueryView

    public class SqlQueryView
    extends Object

SQL query representation for a `SystemView`.

### Constructor Summary

Constructors
`SqlQueryView​(GridRunningQueryInfo qry)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `duration()`
`String` `initiatorId()`
`boolean` `local()`
`UUID` `originNodeId()`
`String` `queryId()`
`String` `schemaName()`
`String` `sql()`
`Date` `startTime()`
`@Nullable UUID` `subjectId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SqlQueryView

    public SqlQueryView​(GridRunningQueryInfo qry)

Parameters:
  `qry` - Query.

### Method Detail

#### originNodeId

    public UUID originNodeId()

Returns:
  Origin query node.

#### queryId

    public String queryId()

Returns:
  Query ID.

#### sql

    public String sql()

Returns:
  Query text.

#### schemaName

    public String schemaName()

Returns:
  Schema name.

#### startTime

    public Date startTime()

Returns:
  Query start time.

#### duration

    public long duration()

Returns:
  Query duration.

#### initiatorId

    public String initiatorId()

Returns:
  Query initiator ID.

#### local

    public boolean local()

Returns:
  `True` if query is local.

#### subjectId

    @Nullable
    public @Nullable UUID subjectId()

Returns:
  Subject ID.